phi.demo {psych} | R Documentation

## A simple demonstration of the Pearson, phi, and polychoric corelation

### Description

A not very interesting demo of what happens if bivariate continuous data are dichotomized. Bascially a demo of r, phi, and polychor.

### Usage

    phi.demo(n=1000,r=.6, cuts=c(-2,-1,0,1,2))

### Arguments

`n` | number of cases to simulate
`r` | correlation between latent and observed
`cuts` | form dichotomized variables at the value of cuts

### Details

A demonstration of the problem of different base rates on the phi correlation, and how these are partially solved by using the polychoric correlation. Not one of my more interesting demonstrations. See https://personality-project.org/r/simulating-personality.html and https://personality-project.org/r/r.datageneration.html for better demonstrations of data generation.

### Value

a matrix of correlations and a graphic plot. The items above the diagonal are the tetrachoric correlations, below the diagonal are raw correlations.

### Author(s)

William Revelle

### References

https://personality-project.org/r/simulating-personality.html and https://personality-project.org/r/r.datageneration.html for better demonstrations of data generation.

### See Also

`VSS.simulate`,`item.sim`

### Examples

    #demo <- phi.demo() #compare the phi (lower off diagonal and polychoric correlations
    # (upper off diagonal)
    #show the result from tetrachoric  which corrects for zero entries by default
    #round(demo$tetrachoric$rho,2)
    #show the result from phi2poly
    #tetrachorics above the diagonal, phi below the diagonal
    #round(demo$phis,2)

[Package psych version 1.8.4 Index]